FreeMat

- Main Page
- Related Pages

vtkWarpTo

Section: Visualization Toolkit Graphics Classes

# Usage

vtkWarpTo is a filter that modifies point coordinates by moving the points towards a user specified position.

To create an instance of class vtkWarpTo, simply invoke its constructor as follows

      obj = vtkWarpTo

# Methods

The class vtkWarpTo has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkWarpTo class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkWarpTo = obj.NewInstance ()`
- `vtkWarpTo = obj.SafeDownCast (vtkObject o)`
- `obj.SetScaleFactor (double )` - Set/Get the value to scale displacement.
- `double = obj.GetScaleFactor ()` - Set/Get the value to scale displacement.
- `double = obj. GetPosition ()` - Set/Get the position to warp towards.
- `obj.SetPosition (double , double , double )` - Set/Get the position to warp towards.
- `obj.SetPosition (double a[3])` - Set/Get the position to warp towards.
- `obj.SetAbsolute (int )` - Set/Get the Absolute ivar. Turning Absolute on causes scale factor of the new position to be one unit away from Position.
- `int = obj.GetAbsolute ()` - Set/Get the Absolute ivar. Turning Absolute on causes scale factor of the new position to be one unit away from Position.
- `obj.AbsoluteOn ()` - Set/Get the Absolute ivar. Turning Absolute on causes scale factor of the new position to be one unit away from Position.
- `obj.AbsoluteOff ()` - Set/Get the Absolute ivar. Turning Absolute on causes scale factor of the new position to be one unit away from Position.